Subject: Re: bug#3419: 23.0.94; calc, calendar and temp-buffer-resize-mode

From: Jay Belanger <[email-masked]>
Date: Sun, 06 Nov 2011 15:09:03 -0600

>>>> BTW, do you think it's possible for `calc' to use a single
>>>> `display-buffer' call with a display action so that users could easily
>>>> override its default *Calc* window displaying behavior?
> [...]
>> But I meant that *Calculator* and *Calc Trail* windows could be
>> displayed with `display-buffer' and an appropriate ACTION argument.
>> Then users will be able to customize its default behavior.
>
> We'd have to change the calling convention if we were to allow a "single
> `display-buffer' call" to display both *Calculator* and *Calc Trail*.

Is that what Juri meant, or did he mean a single `display-buffer' for
each display action?  Currently, Calc uses `split-window' to set up 
*Calculator* and then a separate `split-window' to split the
*Calculator* window and use the new window for *Calc Trail* (or the
keypad).   Is the suggestion to replace both of these with a single
`display-buffer' or each `split-window' with a `display-buffer'?

Jay